AutoCAD 2010/2011/2012

AutoCAD 2010/2011/2012

Reply
Active Contributor
jaycenr
Posts: 29
Registered: ‎05-28-2004
Message 1 of 14 (2,363 Views)

Drawing a line perpendicular to an arc

2363 Views, 13 Replies
09-21-2011 10:41 AM

Recently I've been working with a lot more projects that contain curved architectural features. It appears that I am unable to draw a line to an implied perpendicular point on an arc. I can draw a line to an implied point perpendicular to another line but not an arc. Please refer to attached images.

 

Image1 demonstrates the implied point perpendicular to a line.

Image2 demonstrates that there is no implied perpendiuclar point on the arc given by AutoCAD.

Image3 demonstrates that if the arc is manually extended, a point perpendicular to the arc does exist.

 

It seems like this should work.

 

Image1

Image1.png

 

Image2

Image2.png

 

Image3

Image3.png

Valued Contributor
Dave_S
Posts: 83
Registered: ‎11-13-2008
Message 2 of 14 (2,341 Views)

Re: Drawing a line perpendicular to an arc

09-21-2011 01:50 PM in reply to: jaycenr

It won't work with preset osnap modes. You need to specifically pic the perp osnap from the middle mouse popup menu or type perp at the command line. That worked for me.

Active Contributor
jaycenr
Posts: 29
Registered: ‎05-28-2004
Message 3 of 14 (2,331 Views)

Re: Drawing a line perpendicular to an arc

09-21-2011 02:09 PM in reply to: Dave_S

I attempted those both before my posting. In our setup (Out-Of-The-Box, default) the snap menu popup is SHIFT+RIGHT CLICK and command line is PER.

 

Can you post a screeshot of your result or more thoroughly describe your steps? At first I thought this was a system variable, but I've been unable to find one that would enable or disable this feature. I have 5 other workstations that all have the same result for both ACAD 2009 and 2012.

Distinguished Contributor
stevev0983
Posts: 188
Registered: ‎11-05-2005
Message 4 of 14 (2,318 Views)

Re: Drawing a line perpendicular to an arc

09-21-2011 03:42 PM in reply to: jaycenr

By definition, a line cannot be perpendicular to an arc since perpendicular means to meet at right angles. It can only be perpendicular to another line or a plane (and actually, the correct term for a line and a plane is "normal", not perpendicular). Not sure why ACAD ever lights up the perp marker even when you extend the arc. The work-around for what you want to do is to turn on just the "nearest" o-snap and always draw the line starting from the center of the arc. If you start at the center, no matter where you pick along the arc (the nearest lights up all along the arc), the line will be what you are looking for.

Active Contributor
jaycenr
Posts: 29
Registered: ‎05-28-2004
Message 5 of 14 (2,310 Views)

Re: Drawing a line perpendicular to an arc

09-21-2011 04:10 PM in reply to: stevev0983

Thank you for your response.

 

Semantics of calculus aside, the "nearest" point is that point nearest your cursor as you hover over an arc and only provides the drafter with a random, imprecise point. Unfortunately, this is not what I'm wanting. I'm looking for the point perpendicular to the closest tangent line on the arc, measured from the first point, which is what AutoCAD appears to calculate when the arc exists, but doesn't extend to the implied location as with lines. Personally, I'm thankful that AutoCAD at least goes this far since Revit & ArchiCAD will not give a point "perpendicular" to any arc, regardless of the use/misuse of terminology.

Distinguished Contributor
stevev0983
Posts: 188
Registered: ‎11-05-2005
Message 6 of 14 (2,287 Views)

Re: Drawing a line perpendicular to an arc

09-22-2011 05:21 AM in reply to: jaycenr

Wasn't trying to sound snarky or anything so I hope it didn't come across as such. I played around with this some more and they have it right. Just as an exercise, if you start your line closer to the arc, it will give the perp osnap. Try this: take your arc and draw a line from one end point to the center of the arc and then to the other endpoint. You will get a pie piece. If you start your line anywhere inside this pie piece, you will get a perp osnap. Outside the pie piece you will not. It still boils down to the fact that to get a perp line to the arc (which I agree is actually to a line tangent to the arc), a theoretical line must be able to be formed from the center of the circle through your point and hit the arc (hence the inside of the pie piece). You will see that if you made a line from your start point to the center of the arc and then tried to extend it to the arc it would not extend because unless a line can be formed from the center of the arc through your point and intersect the arc, you will not get a perp.. Also, as I mentioned in my original post, if you start your line in the center and use the nearest osnap, every point along the circle that you pick will be perp to a line tangent to the circle at that point. But ONLY if you start your line at the center point.

Valued Mentor
stevenelliott3894
Posts: 474
Registered: ‎06-14-2010
Message 7 of 14 (2,266 Views)

Re: Drawing a line perpendicular to an arc

09-22-2011 08:51 AM in reply to: jaycenr

If I understand what you want correctly, I do this by drawing a line to the arc's center point, then trimming it back to the arc. Hope this helps!

Steven Elliott

When I was a little bitty boy, my grandmother bought me a cute little toy. Silver bells hangin' on a string... she told me it was my ding-a-ling-a-ling!
Active Contributor
jaycenr
Posts: 29
Registered: ‎05-28-2004
Message 8 of 14 (2,248 Views)

Re: Drawing a line perpendicular to an arc

09-22-2011 10:09 AM in reply to: stevev0983

Thanks, stevev0983. No snarkiness detected here. You were just being particular and I was just being frustrated. Does it bother you that I left a comma out of that last sentence? Just kidding! When written, my sarcasm can come across as condescension instead. I apologize for that.

 

I'm planning to submit this to the AutoCAD wish list. Kudos for the pie piece illustration.

 

Line Perpendicular to Arc Image1.png

Valued Contributor
Dave_S
Posts: 83
Registered: ‎11-13-2008
Message 9 of 14 (2,240 Views)

Re: Drawing a line perpendicular to an arc

09-22-2011 10:19 AM in reply to: jaycenr

Kind of like an extension to the extension osnap option, where it would work with the osnap chosen as opposed to giving a "Point or option keyword required." message. Then AutoCAD would hash in an extended arc segment and the perp icon would pop up when it reaches the correct location. I like it! maybe we can see it in 2013.

*Expert Elite*
azrdgldr
Posts: 1,250
Registered: ‎01-09-2007
Message 10 of 14 (2,229 Views)

Re: Drawing a line perpendicular to an arc

09-22-2011 11:01 AM in reply to: jaycenr

I'm sorry, but you have to understand on how an arc is built, whether it be by AutoCAD or your math class.  In math class you need the central angle to know where to STOP the arc.  Same thing in AutoCAD but you are dealing with radians for the central angle.  You want it snap to a point that doesn't exist (persay) according to the drawing database.  You want to pick to an intersection of line to an invisible extention of the arC right?  You can't do that, unless you physically extent the arc.  In building an arc thru lisp, and I am talking about entmake and not using the arc command.  Below is the autolisp definition (DXF GROUP CODE) of an arc.

 

((-1 . <Entity name: 7ee410b0>) (0 . "ARC") (330 . <Entity name: 7ee38fb8>) (5
. "8E") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") (100 .
"AcDbCircle") (10 4.62295 5.52618 0.0) (40 . 1.98781) (210 0.0 0.0 1.0) (100 .
"AcDbArc") (50 . 1.32532) (51 . 2.5638))

 

The assoc 40 is your radius and 50 and 51 are the radians equivalant of the radial lines that calc the central angle.  Where the arc begins and ends.  No extensions here.  No reference to a cut circle or anything like that.

 

Have you ever tried drawing a full circle using the arc command?  It can't be done thru plain AutoCAD.  Even the donut command looks like a full circle but if you explode it, it is two arcs and not a full circle.

 

I don't know if I am understanding your problem here but hopefully this helps.

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.